using System;
using System.Globalization;
using System.Windows.Data;

namespace BeWo.Converter
{
    public class DataContract2StringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null || ((String)value) == string.Empty)
            {
                return "nicht angegeben";
            }

            return value.ToString();
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}